//This is the way to include modules with Node.js, in this case the 
//Electron module.
//You can learn more about importing modules by searching
//information about "CommonJS" modules on the internet
const { app, BrowserWindow } = require('electron')

//Create our main windows, here you can set the initial size.
const createWindow = () => {
  const win = new BrowserWindow({
    width: 800,
    height: 600
  })
  //The HTML file that will be shown, we will create this file in the next section.
  win.setMenuBarVisibility(false)

  win.loadFile('index.html')
}

//This is our starting event, once "Ready", create our main window.
app.whenReady().then(() => {
  createWindow()
})
